OutputStreamLogger (LogKit API)
Keywords: org.apache.log.util.OutputStreamLogger,OutputStreamLogger class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log.util
Class OutputStreamLogger

    java.lang.Object
      |
      +--java.io.OutputStream
            |
            +--org.apache.log.util.LoggerOutputStream
                  |
                  +--org.apache.log.util.OutputStreamLogger

Deprecated. Use LoggerOutputStream as this class was misnamed.

public class OutputStreamLogger
extends LoggerOutputStream

Redirect an output stream to a logger. This class is useful to redirect standard output or standard error to a Logger. An example use is

     final OutputStreamLogger outputStream =
         new OutputStreamLogger( logger, Priority.DEBUG );
     final PrintStream output = new PrintStream( outputStream, true );

     System.setOut( output );

Author:
  Peter Donald

Constructor Summary
`OutputStreamLogger(Logger logger, Priority priority)` Deprecated. Use LoggerOutputStream as this class was misnamed.

Methods inherited from class org.apache.log.util.LoggerOutputStream
`close, flush, write`

Methods inherited from class java.io.OutputStream
`write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputStreamLogger

    public OutputStreamLogger(Logger logger,
                              Priority priority)

  Deprecated. Use LoggerOutputStream as this class was misnamed.

  Construct OutputStreamLogger to write to a particular logger at a particular priority.

Parameters:
  `logger` - the logger to write to
  `priority` - the priority at which to log

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Jakarta Project. All Rights Reserved.